# sc::RenderedObject Class Reference

Inheritance diagram for sc::RenderedObject:

List of all members.

## Public Member Functions

| RenderedObject (const Ref< Material > &=0)
| RenderedObject (const Ref< KeyVal > &)
const char * | name () const
void | set_name (const char *)
Ref< Material > | material () const
Ref< Appearance > | appearance () const
Ref< Transform > | transform () const
void | material (const Ref< Material > &m)
void | appearance (const Ref< Appearance > &a)
void | transform (const Ref< Transform > &t)
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
virtual void | render (const Ref< Render > &)=0

## Protected Attributes

char * | name_
Ref< Material > | material_
Ref< Appearance > | appearance_
Ref< Transform > | transform_

## Friends

class | Render

The documentation for this class was generated from the following file:

- object.h